SubmitTag (Struts Taglib 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class SubmitTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.SubmitTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

Direct Known Subclasses:
  ButtonTag, CancelTag, ImageTag, NestedSubmitTag, ResetTag

    public class SubmitTag

extends BaseHandlerTag

Tag for input fields of type "submit".

Version:
  $Rev: 471754 $ $Date: 2005-04-06 02:22:39 -0400 (Wed, 06 Apr 2005) $
See Also:
  Serialized Form

Field Summary
`protected static MessageResources` | `messages` The message resources for this package.
`protected String` | `property` The name of the generated input field.
`protected String` | `text` The body content of this tag (if any).
`protected String` | `value` The value of the button label.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SubmitTag()`

Method Summary
`int` | `doAfterBody()` Save the associated label from the body content.
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`protected String` | `getDefaultValue()` Return the default value.
`protected String` | `getElementOpen()` Render the opening element.
`String` | `getProperty()` Return the property.
`String` | `getValue()` Return the label value.
`protected void` | `prepareButtonAttributes(StringBuffer results)` Render the button attributes
`protected String` | `prepareName()` Prepare the name element
`protected void` | `prepareValue(StringBuffer results)` Render the value element
`void` | `release()` Release any acquired resources.
`void` | `setProperty(String property)` Set the property name.
`void` | `setValue(String value)` Set the label value.

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDir, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLang, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareInternationalization, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDir, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLang, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for this package.

### property

    protected String property

  The name of the generated input field.

### text

    protected String text

  The body content of this tag (if any).

### value

    protected String value

  The value of the button label.

Constructor Detail

### SubmitTag

    public SubmitTag()

Method Detail

### getProperty

    public String getProperty()

  Return the property.

### setProperty

    public void setProperty(String property)

  Set the property name.

  Parameters:
    `property` - The property name

### getValue

    public String getValue()

  Return the label value.

### setValue

    public void setValue(String value)

  Set the label value.

  Parameters:
    `value` - The label value

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start of this tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Save the associated label from the body content.

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws JspException

  Process the end of this tag.

  Support for Indexed property since Struts 1.1

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### getElementOpen

    protected String getElementOpen()

  Render the opening element.

  Returns:
    The opening part of the element.

### prepareName

    protected String prepareName()
                          throws JspException

  Prepare the name element

  Overrides:
    `prepareName` in class `BaseHandlerTag`
  Returns:
    The element name.
  Throws:
    `JspException`

### prepareButtonAttributes

    protected void prepareButtonAttributes(StringBuffer results)
                                    throws JspException

  Render the button attributes

  Parameters:
    `results` - The StringBuffer that output will be appended to.
  Throws:
    `JspException`

### prepareValue

    protected void prepareValue(StringBuffer results)

  Render the value element

  Parameters:
    `results` - The StringBuffer that output will be appended to.

### getDefaultValue

    protected String getDefaultValue()

  Return the default value.

  Returns:
    The default value if none supplied.

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.